#
# spec file for package product-composer
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           product-composer
Version:        0.3.3
Release:        1.1
Summary:        Product Composer
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/product-composer
Source:         %name-%{version}.tar.xz
BuildRequires:  python3-pip
BuildRequires:  python3-poetry-core
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
Requires:       python3-PyYAML
Requires:       python3-pydantic
Requires:       python3-rpm
# build for signdummy
Requires:       build
Requires:       createrepo
Requires:       inst-source-utils
Requires:       instsource-susedata
BuildArch:      noarch

%description
The new product builder for ALP family and beyond.
WARNING: please be aware that the code is still on the move and is
         likely to break with productcompose file syntax changes.

%prep
%autosetup -n %name-%version -p1

%build
%python3_pyproject_wheel

%install
%python3_pyproject_install
mv %buildroot/usr/bin/productcomposer %buildroot%_bindir/product-composer

%files
%doc README.rst docs examples
%_bindir/product-composer
%{python3_sitelib}/*

%changelog
* Tue Feb  6 2024 Adrian Schröter <adrian@suse.de>
- update to version 0.3.3
  - fixes incorrect data inside of repomd.xml
* Mon Feb  5 2024 Adrian Schröter <adrian@suse.de>
- update to version 0.3.2
  * crash fixes
* Thu Jan 11 2024 Adrian Schröter <adrian@suse.de>
- update to version 0.3.1
  * Supporting new 0.1 schema with extended functionality
  * signature handling fix
  * refactoring and code cleanup and documentation updates
* Tue Dec  5 2023 Adrian Schröter <adrian@suse.de>
- update to version 0.2
  * Support .report file generation
* Mon Dec  4 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Set service to manaul run: server side execution not permitted in
  products.
- Do not use python-single-spec magic, but use python3 directly
  (the main python version).
* Mon Dec  4 2023 Adrian Schröter <adrian@suse.de>
- roll version 0.1
  Kind of a beta version for ALP based products.
* Wed Nov 15 2023 Adrian Schröter <adrian@suse.de>
- initial package
